This is an extension and not part of the main GoJS library. Note that the API for this class may change at any time. If you intend to use an extension in production, you should copy the code to your own source directory. Extensions can be found in the GoJS kit under the `extensions` or `extensionsTS` folders. See the Extensions intro page for more information.

### Hierarchy

- GraphObject
  - Panel
    - Part
      - Link
        - ParallelRouteLink

This custom Link class customizes its route to go parallel to other links connecting the same ports, if the link is not orthogonal and is not Bezier curved.

If you want to experiment with this extension, try the Parallel Route Links sample.

## Index

### Methods

- computePoints

## Methods

### Override computePoints

- computePoints(): boolean

- Constructs the link's route by modifying points.

  #### Returns boolean

  true if it computed a route of points

Copyright © 1998-2019 by Northwoods Software Corporation.